%define name gdict
%define version	0.7
%define release	%mkrel 10

Summary:   Client for MIT's dictionary server
Name:      %{name}
Version:   %{version}
Release:   %{release}
License:   GPL
Group:     Office
Source:    %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-buildroot
URL:       http://www.psilord.com/code
BuildRequires: gtk+-devel

%description
gdict is a GTK+ application that connects to MIT's dictionary server
and returns the definition to a user-specified word. It is based on
Michael Bacarella's small dict client. 

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
make

%install
install -m 755 -d $RPM_BUILD_ROOT%_bindir
install -m 755 gdict $RPM_BUILD_ROOT%_bindir/%name


mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
cat << EOF > %buildroot%{_datadir}/applications/mandriva-%{name}.desktop
[Desktop Entry]
Type=Application
Exec=%_bindir/%name
Name=Gdict
Comment=On-line dictionary
Icon=office_accessories_section
Categories=Office;
EOF


%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}


%files
%defattr (-,root,root)
%_bindir/%name
%doc COPYING ChangeLog README
%{_datadir}/applications/mandriva-*.desktop




%changelog
* Thu Dec 24 2009 Texstar <texstar at gmail.com> 0.7-10pclos2010
- rebuild

